Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.util
Class PluginSystemOutUtils

    java.lang.Object
      jp.sbi.celldesigner.plugin.util.PluginSystemOutUtils

    public final class PluginSystemOutUtils

extends java.lang.Object

Constructor Summary
`PluginSystemOutUtils()`

Method Summary
`static java.lang.String` | `converttoReactionLinkSTRAIGHTCURVELineType(int linkType)`
`static java.lang.String` | `formatPoint2DDoubleOutputString(java.lang.Object inputObj)`
`static java.util.Vector` | `getAllPointsInLineOfReactionLink(jp.sbi.celldesigner.ReactionLink rLink, java.util.Vector<java.util.Vector> vAllPointsInLine)`
`static void` | `printDebugInfoOfRealLineInformationOfReactionLink(PluginRealLineInformationDataObjOfReactionLink inputInfo, int iTabIndex)`
`static PluginRealLineInformationDataObjOfReactionLink` | `setMyPostionInfomations(jp.fric.graphics.draw.GStructure gStructure, jp.sbi.celldesigner.ReactionLink link)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginSystemOutUtils

    public PluginSystemOutUtils()

Method Detail

### setMyPostionInfomations

    public static final PluginRealLineInformationDataObjOfReactionLink setMyPostionInfomations(jp.fric.graphics.draw.GStructure gStructure,
                                                                                               jp.sbi.celldesigner.ReactionLink link)

### getAllPointsInLineOfReactionLink

    public static final java.util.Vector getAllPointsInLineOfReactionLink(jp.sbi.celldesigner.ReactionLink rLink,
                                                                          java.util.Vector<java.util.Vector> vAllPointsInLine)

### printDebugInfoOfRealLineInformationOfReactionLink

    public static final void printDebugInfoOfRealLineInformationOfReactionLink(PluginRealLineInformationDataObjOfReactionLink inputInfo,
                                                                               int iTabIndex)

### formatPoint2DDoubleOutputString

    public static final java.lang.String formatPoint2DDoubleOutputString(java.lang.Object inputObj)

### converttoReactionLinkSTRAIGHTCURVELineType

    public static final java.lang.String converttoReactionLinkSTRAIGHTCURVELineType(int linkType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD